﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SerrateTFC.Domain.Entities;
using SerrateTFC.Domain.Repositories;

namespace SerrateTFC.Domain.DomainServices
{
    public class CustomerDomainService :
        ICustomerDomainService
    {
        private readonly ICustomerRepository _customerRepository;

        public CustomerDomainService(ICustomerRepository customerRepository)
        {
            this._customerRepository = customerRepository;
        }

        public void SaveCustomer(Customer entity)
        {
            this._customerRepository.Save(entity);
        }

        public void DeleteCustomer(Customer entity)
        {
            this._customerRepository.Delete(entity);
        }

        public Customer GetById(Guid id)
        {
            return this._customerRepository.GetById(id);
        }

        public IEnumerable<Customer> GetAll()
        {
            return this._customerRepository.GetAll();
        }
    }
}
