﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SerrateTFC.Domain.Entities;
using SerrateTFC.Domain.Repositories;

namespace SerrateTFC.Domain.DomainServices
{
    public class ProjectDomainService : IProjectDomainService
    {
        private readonly IProjectRepository _projectRepository;        

        public ProjectDomainService(IProjectRepository projectRepository)
        {
            this._projectRepository = projectRepository;
        }

        public void SaveProject(Project entity)
        {
            this._projectRepository.Save(entity);
        }

        public void DeleteProject(Project entity)
        {
            this._projectRepository.Delete(entity);
        }

        public Project GetById(Guid id)
        {
            return this._projectRepository.GetById(id);
        }

        public IEnumerable<Project> GetAll()
        {
            return this._projectRepository.GetAll();
        }
    }
}
