﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SerrateTFC.Domain.Entities;
using SerrateTFC.Domain.Repositories;

namespace SerrateTFC.Domain.DomainServices
{
    public class TaskDomainService : ITaskDomainService
    {
        private readonly ITaskRepository _taskRepository;

        public TaskDomainService(ITaskRepository taskRepository)
        {
            this._taskRepository = taskRepository;
        }

        public void SaveTask(Task entity)
        {
            this._taskRepository.Save(entity);
        }

        public void DeleteTask(Task entity)
        {
            this._taskRepository.Delete(entity);
        }

        public Task GetById(Guid id)
        {
            return this._taskRepository.GetById(id);
        }

        public IEnumerable<Task> GetAll()
        {
            return this._taskRepository.GetAll();
        }

        public IEnumerable<Task> GetTasksByProject(Guid projectId)
        {
            return this._taskRepository.GetTasksByPoject(projectId);
        }
    }
}
