﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SerrateTFC.Domain.Enums;
using SerrateTFC.Domain.Data;

namespace SerrateTFC.Domain.Entities
{
    public class Task : IEntity
    {
        public Guid Id { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }
        public Priority Priority
        {
            get { return (Priority)PriorityValue; }
            set { PriorityValue = (int)value; }
        }
        public int PriorityValue { get; set; }
        public decimal Progress { get; set; }
        public Guid ProjectId { get; set; }
        public Project Project { get; set; }
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public Resource Assigned { get; set; }
        public Guid AssignedId { get; set; }
    }
}
