﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SerrateTFC.Domain.ValueObjects
{
    /// <summary>
    /// ValueObject de información de usuario
    /// </summary>
    public class UserAccount
    {
        public string FirstName { get; private set; }
        public string LastName { get; private set; }
        public string Email { get; private set; }

        protected UserAccount()
        { }

        public UserAccount(string firstName, string lastName, string email)
        {
            FirstName = firstName;
            LastName = lastName;
            Email = email;
        }

        public override string ToString()
        {
            return string.Format("{0} {1}", FirstName, LastName);
        }
    }
}
