﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SerrateTFC.Domain.Entities;
using System.Data.Entity;
using SerrateTFC.Domain.Data;

namespace SerrateTFC.Infrastructure.Data
{
    /// <summary>
    /// Contracte per al patró UnitOfWork.
    /// Més informació: http://msdn.microsoft.com/en-us/magazine/dd882510.aspx
    /// </summary>
    public interface IMainUnitOfWork : IUnitOfWork
    {
        IDbSet<Customer> Customers { get; set; }
        IDbSet<User> Users { get; set; }
        IDbSet<Project> Projects { get; set; }
        IDbSet<Task> Tasks { get; set; }

        void Update<T>(T entity) where T : class, IEntity;
        void Detach<T>(T entity) where T : class, IEntity;
    }
}
