﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SerrateTFC.Domain.Entities;
using SerrateTFC.Domain.Repositories;
using Microsoft.Practices.ServiceLocation;
using System.Data.Entity.Infrastructure;
using SerrateTFC.Localization.Exceptions;

namespace SerrateTFC.Infrastructure.Data.Repositories
{
    public class CustomerRepository : 
        Repository<Customer>,
        ICustomerRepository
    {
        public CustomerRepository(IMainUnitOfWork unitOfWork)
            : base(unitOfWork)
        { }

        public override void Delete(Customer entity)
        {
            var projectRepository = ServiceLocator.Current.GetInstance<IProjectRepository>();

            var isUsed = projectRepository.Find(p => p.CustomerId == entity.Id).Any();

            if (isUsed)
                throw new DbUpdateException(Exceptions.DbReferenceException);
            
            base.Delete(entity);
        }
    }
}
