﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SerrateTFC.Domain.Entities;
using SerrateTFC.Domain.Repositories;
using System.Data.Entity;

namespace SerrateTFC.Infrastructure.Data.Repositories
{
    public class TaskRepository :
        Repository<Task>,
        ITaskRepository
    {
        public TaskRepository(IMainUnitOfWork unitOfWork)
            : base(unitOfWork)
        { }

        public override IEnumerable<Task> GetAll()
        {
            return this._dbSet
                .Include(x => x.Project)
                .ToList();
        }

        public IEnumerable<Task> GetTasksByPoject(Guid projectId)
        {
            return this._dbSet
                .Include(x => x.Project)
                .Where(x => x.ProjectId == projectId)
                .ToList();
        }
    }
}
