﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;
using SerrateTFC.RestService.Dto;

namespace SerrateTFC.RestService
{
    [ServiceContract]
    public interface IMainService
    {
        [OperationContract]
        [WebInvoke(Method = "POST",
            BodyStyle = WebMessageBodyStyle.Bare,
            RequestFormat = WebMessageFormat.Json,
            ResponseFormat = WebMessageFormat.Json)]
        UserResponse LogOn(UserRequest data);

        [OperationContract]
        [WebGet(UriTemplate = "Tasks",
            BodyStyle = WebMessageBodyStyle.Bare,
            ResponseFormat = WebMessageFormat.Json)]
        List<TaskItem> GetTasks();

        [OperationContract]
        [WebGet(UriTemplate = "Projects",
            BodyStyle = WebMessageBodyStyle.Bare,
            ResponseFormat = WebMessageFormat.Json)]
        List<KeyValue> GetProjects();

        [OperationContract]
        [WebGet(UriTemplate = "Resources",
            BodyStyle = WebMessageBodyStyle.Bare,
            ResponseFormat = WebMessageFormat.Json)]
        List<KeyValue> GetResources();

        [OperationContract]
        [WebGet(UriTemplate = "Task/{id}",
            BodyStyle = WebMessageBodyStyle.Bare,
            RequestFormat = WebMessageFormat.Json,
            ResponseFormat = WebMessageFormat.Json)]
        TaskDetails GetTask(string id);

        [OperationContract]
        [WebInvoke(Method = "POST",
            BodyStyle = WebMessageBodyStyle.Bare,
            RequestFormat = WebMessageFormat.Json)]
        void SaveTask(TaskDetails data);
    }
}
