﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SerrateTFC.Domain.Entities;
using SerrateTFC.Domain.DomainServices;
using Microsoft.Practices.ServiceLocation;

namespace SerrateTFC.Web.Controllers
{
    /// <summary>
    /// Controller base
    /// </summary>
    [Authorize]
    public class BaseController : Controller
    {

        protected User GetCurrentUser()
        {
            IUserDomainService service = ServiceLocator.Current.GetInstance<IUserDomainService>();
            var userName = User.Identity.Name;
            User currentUser = service.GetUserByUsername(userName);

            return currentUser;
        }
    }
}