﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SerrateTFC.Domain.Data;
using SerrateTFC.Domain.DomainServices;
using SerrateTFC.Web.Models;

namespace SerrateTFC.Web.Controllers
{
    public class HomeController : BaseController
    {
        private readonly IProjectDomainService _projectDomainService;
        private readonly IUnitOfWork _unitOfWork;

        public HomeController(
            IUnitOfWork unitOfWork,
            IProjectDomainService projectDomainService)
        {
            this._unitOfWork = unitOfWork;
            this._projectDomainService = projectDomainService;
        }

        public ActionResult Index()
        {
            var projects = this._projectDomainService.GetAll();

            var listView = new List<HomeView>();

            foreach (var item in projects)
            {
                if (item.IsRssEnabled)
                {
                    listView.Add(new HomeView()
                    {
                        ProjectId = item.Id,
                        ProjectName = item.Name,
                        FeedUrl = Url.Action("Tasks", "Feed", new { id = item.Id })
                    });
                }
            }

            return View(listView);
        }
    }
}
