﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SerrateTFC.Localization.Labels;
using SerrateTFC.Domain.DomainServices;
using Microsoft.Practices.ServiceLocation;
using SerrateTFC.Domain.Entities;
using System.Text;
using System.Web.Mvc.Html;
using System.Web.WebPages;

namespace SerrateTFC.Web.Extensions
{
    public static class HtmlExtensions
    {
        public static bool IsResource(this HttpContext page)
        {
            IUserDomainService service = ServiceLocator.Current.GetInstance<IUserDomainService>();
            var userName = HttpContext.Current.User.Identity.Name;
            User currentUser = service.GetUserByUsername(userName);

            return (currentUser is Resource);
        }

        public static HtmlString GetMenu(this HtmlHelper helper)
        {
            StringBuilder html = new StringBuilder("<ul id=\"menu\">");

            if (HttpContext.Current.User.Identity.IsAuthenticated)
            {
                IUserDomainService service = ServiceLocator.Current.GetInstance<IUserDomainService>();
                var userName = HttpContext.Current.User.Identity.Name;
                User currentUser = service.GetUserByUsername(userName);

                html.AppendLine(string.Format("<li>{0}</li>", helper.ActionLink(Labels.Home, "Index", "Home")));

                if (!(currentUser is Resource))
                    html.AppendLine(string.Format("<li>{0}</li>", helper.ActionLink(Labels.Projects, "Index", "Project")));

                html.AppendLine(string.Format("<li>{0}</li>", helper.ActionLink(Labels.Tasks, "Index", "Task")));

                if (currentUser is Administrator)
                    html.AppendLine(string.Format("<li>{0}</li>", helper.ActionLink(Labels.Customers, "Index", "Customer")));

                if (currentUser is Administrator)
                    html.AppendLine(string.Format("<li>{0}</li>", helper.ActionLink(Labels.Users, "Index", "User")));                
            }

            html.Append("</ul>");

            return new HtmlString(html.ToString());
        }

        public static HtmlString DetailsTitle(this HtmlHelper helper, string modelTitle)
        {
            string title = string.Empty;

            if (string.IsNullOrEmpty(modelTitle))
            {
                title = string.Format(Labels.Details_For, Labels.NewElement);
            }
            else
            {
                title = string.Format(Labels.Details_For, modelTitle);
            }

            return new HtmlString(title);
        }

        public static HtmlString ListTitle(this HtmlHelper helper, string localTitle)
        {
            string title = string.Format(Labels.List_For, localTitle);

            return new HtmlString(title);
        }
    }
}