﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using SerrateTFC.Localization.Labels;

namespace SerrateTFC.Web.Models
{
    public class CustomerView
    {
        [ScaffoldColumn(false)]
        public Guid Id { get; set; }
        [Display(Name="CompanyName", ResourceType = typeof(Labels))]
        public string CompanyName { get; set; }
        [Display(Name = "Telephone", ResourceType = typeof(Labels))]
        public string Telephone { get; set; }
        [Display(Name = "Fax", ResourceType = typeof(Labels))]
        public string Fax { get; set; }
    }

    public class CustomerDetails
    {
        public Guid? Id { get; set; }

        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "CompanyName", ResourceType = typeof(Labels))]
        public string CompanyName { get; set; }
        [Display(Name = "Description", ResourceType = typeof(Labels))]
        [DataType(DataType.MultilineText)]
        public string Description { get; set; }
        [Display(Name = "Telephone", ResourceType = typeof(Labels))]
        public string Telephone { get; set; }
        [Display(Name = "Fax", ResourceType = typeof(Labels))]
        public string Fax { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "AddressPublicAddress", ResourceType = typeof(Labels))]
        public string AddressPublicAddress { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "AddressCity", ResourceType = typeof(Labels))]
        public string AddressCity { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "AddressPostalCode", ResourceType = typeof(Labels))]
        public string AddressPostalCode { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "AddressCountry", ResourceType = typeof(Labels))]
        public string AddressCountry { get; set; }
    }
}