﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using SerrateTFC.Localization.Labels;
using System.Web.Mvc;

namespace SerrateTFC.Web.Models
{
    public class ProjectView
    {
        [ScaffoldColumn(false)]
        public Guid Id { get; set; }
        [Display(Name = "Name", ResourceType = typeof(Labels))]
        public string Name { get; set; }
        [Display(Name = "Customer", ResourceType = typeof(Labels))]
        public string CustomerCompanyName { get; set; }
        [Display(Name = "StartDate", ResourceType = typeof(Labels))]
        public DateTime StartDate { get; set; }
        [Display(Name = "EndDate", ResourceType = typeof(Labels))]
        public DateTime EndDate { get; set; }
    }

    public class ProjectDetails
    {
        public Guid? Id { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "Name", ResourceType = typeof(Labels))]
        public string Name { get; set; }
        [Display(Name = "Description", ResourceType = typeof(Labels))]
        [DataType(DataType.MultilineText)]
        public string Description { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "Customer", ResourceType = typeof(Labels))]
        public Guid CustomerId { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "ProjectManager", ResourceType = typeof(Labels))]
        public Guid ProjectManagerId { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "StartDate", ResourceType = typeof(Labels))]
        public DateTime StartDate { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "EndDate", ResourceType = typeof(Labels))]
        public DateTime EndDate { get; set; }
        [Display(Name = "IsRssEnabled", ResourceType = typeof(Labels))]
        public bool IsRssEnabled { get; set; }
        public IEnumerable<SelectListItem> ProjectManagers { get; set; }
        public IEnumerable<SelectListItem> Customers { get; set; }
    }
}