﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using SerrateTFC.Localization.Labels;
using System.Web.Mvc;

namespace SerrateTFC.Web.Models
{
    public class TaskView
    {
        [ScaffoldColumn(false)]
        public Guid Id { get; set; }
        [Display(Name = "Name", ResourceType = typeof(Labels))]
        public string Name { get; set; }
        [Display(Name = "Project", ResourceType = typeof(Labels))]
        public string ProjectName { get; set; }
        [Display(Name = "Priority", ResourceType = typeof(Labels))]
        public string Priority { get; set; }
        [Display(Name = "Progress", ResourceType = typeof(Labels))]
        public int Progress { get; set; }
        [Display(Name = "StartDate", ResourceType = typeof(Labels))]
        public DateTime StartDate { get; set; }
        [Display(Name = "EndDate", ResourceType = typeof(Labels))]
        public DateTime EndDate { get; set; }
    }

    public class TaskDetails
    {
        public Guid? Id { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "Project", ResourceType = typeof(Labels))]
        public Guid ProjectId { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "Name", ResourceType = typeof(Labels))]
        public string Name { get; set; }
        [DataType(DataType.MultilineText)]
        [Display(Name = "Description", ResourceType = typeof(Labels))]
        public string Description { get; set; }
        [Display(Name = "Priority", ResourceType = typeof(Labels))]
        public int Priority { get; set; }
        [Display(Name = "Resource", ResourceType = typeof(Labels))]
        public Guid ResourceId { get; set; }
        [Display(Name = "Progress", ResourceType = typeof(Labels))]
        public decimal Progress { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "StartDate", ResourceType = typeof(Labels))]
        public DateTime StartDate { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "EndDate", ResourceType = typeof(Labels))]
        public DateTime EndDate { get; set; }
        public IEnumerable<SelectListItem> Projects { get; set; }
        public IEnumerable<SelectListItem> Resources { get; set; }
        public IEnumerable<SelectListItem> Priorities { get; set; }
    }
}