﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using SerrateTFC.Localization.Labels;
using SerrateTFC.Web.Extensions;

namespace SerrateTFC.Web.Models
{
    public class UserView
    {
        [ScaffoldColumn(false)]
        public Guid Id { get; set; }
        [Display(Name = "FirstName", ResourceType = typeof(Labels))]
        public string UserAccountFirstName { get; set; }
        [Display(Name = "LastName", ResourceType = typeof(Labels))]
        public string UserAccountLastName { get; set; }
        [Display(Name = "ResourceType", ResourceType = typeof(Labels))]
        public string ResourceType { get; set; }
    }

    public class UserDetails
    {
        public Guid? Id { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "UserName", ResourceType = typeof(Labels))]
        public string UserName { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [DataType(DataType.Password)]
        [ValidatePasswordLength]
        [Display(Name = "Password", ResourceType = typeof(Labels))]
        public string Password { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [DataType(DataType.Password)]
        [Compare("Password", ErrorMessageResourceType = typeof(Labels), ErrorMessageResourceName = "PasswordCompare")]
        [Display(Name = "RepeatPassword", ResourceType = typeof(Labels))]
        public string RepeatPassword { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "FirstName", ResourceType = typeof(Labels))]
        public string UserAccountFirstName { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "LastName", ResourceType = typeof(Labels))]
        public string UserAccountLastName { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "Email", ResourceType = typeof(Labels))]
        public string UserAccountEmail { get; set; }
        [Required(ErrorMessageResourceName = "Validate_Required", ErrorMessageResourceType = typeof(Labels))]
        [Display(Name = "ResourceType", ResourceType = typeof(Labels))]
        public int ResourceType { get; set; }
        [Display(Name = "HourlyRate", ResourceType = typeof(Labels))]
        [DataType(DataType.Currency)]
        public decimal HourlyRate { get; set; }
        public IEnumerable<SelectListItem> ResourceTypes { get; set; }
    }
}