﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO;
using System.Runtime.Serialization;
using RestSharp;
using SerrateTFC.WindowsPhone.Dto;

namespace SerrateTFC.WindowsPhone.ViewModels
{
    public class LogOnViewModel : ViewModelBase
    {
        private string _userName;
        private string _password;

        public string UserName
        {
            get { return _userName; }
            set
            {
                _userName = value;
                NotifyPropertyChanged("UserName");
            }
        }

        public string Password
        {
            get { return _password; }
            set
            {
                _password = value;
                NotifyPropertyChanged("Password");
            }
        }

        public void LogOn(Action<bool> notifyMethod)
        {
            var client = new RestClient(Globals.UrlService);
            var request = new RestRequest("LogOn", Method.POST);
            var data = new UserRequest() { UserName = _userName, Password = _password };
            request.RequestFormat = DataFormat.Json;
            request.AddBody(data);

            client.ExecuteAsync<UserResponse>(request, (response) =>
            {
                var userInfo = response.Data;
                var isLoggedIn = (userInfo != null);

                if (isLoggedIn)
                {
                    Globals.UserResponse = userInfo;
                }

                notifyMethod(isLoggedIn);
            });

        }

    
    }
}
