﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using SerrateTFC.WindowsPhone.Dto;
using RestSharp;
using System.Collections.Generic;

namespace SerrateTFC.WindowsPhone.ViewModels
{
    public class TaskListViewModel : ViewModelBase
    {
        private ObservableCollection<TaskItem> _items = new ObservableCollection<TaskItem>();

        public ObservableCollection<TaskItem> Items
        {
            get
            {
                return _items;
            }
        }

        public TaskListViewModel()
        {
            var client = new RestClient(Globals.UrlService);
            var request = new RestRequest("Tasks", Method.GET);

            client.ExecuteAsync<List<TaskItem>>(request, (response) =>
                {
                    var taskList = response.Data;

                    foreach (var item in taskList)
                        _items.Add(item);
                });
        }
    }
}
