﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using SerrateTFC.WindowsPhone.ViewModels;
using SerrateTFC.WindowsPhone.Dto;

namespace SerrateTFC.WindowsPhone.Views
{
    public partial class TaskListView : PhoneApplicationPage
    {
        private TaskListViewModel _viewModel;

        public TaskListView()
        {
            InitializeComponent();  
        }

        private void BindModel()
        {
            _viewModel = new TaskListViewModel();
            DataContext = _viewModel;

            // si es desenvolupador
            if (Globals.UserResponse.ResourceType == 2)
                ApplicationBar.IsVisible = false;
        }

        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);
            BindModel();
        }

        private void MainListBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (MainListBox.SelectedIndex == -1)
                return;

            var taskItem = MainListBox.SelectedItem as TaskItem;
            
            // si es desenvolupador
            if (Globals.UserResponse.ResourceType == 2)
                NavigationService.Navigate(new Uri("/Views/UpdateTaskView.xaml?selectedItem=" + taskItem.Id, UriKind.Relative));
            else
                NavigationService.Navigate(new Uri("/Views/TaskDetailsView.xaml?selectedItem=" + taskItem.Id, UriKind.Relative));

            MainListBox.SelectedIndex = -1;
        }

        private void appbar_addTask_Click(object sender, EventArgs e)
        {
            // Navigate to the new page
            NavigationService.Navigate(new Uri("/Views/TaskDetailsView.xaml", UriKind.Relative));

            // Reset selected index to -1 (no selection)
            MainListBox.SelectedIndex = -1;
        }
    }
}