﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using SerrateTFC.WindowsPhone.ViewModels;

namespace SerrateTFC.WindowsPhone.Views
{
    public partial class UpdateTaskView : PhoneApplicationPage
    {
        private TaskDetailsViewModel _viewModel;

        public UpdateTaskView()
        {
            InitializeComponent();
        }

        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);

            var selectedItem = NavigationContext.QueryString.ContainsKey("selectedItem") ? NavigationContext.QueryString["selectedItem"] : string.Empty;
            Guid? id = null;

            if (!string.IsNullOrEmpty(selectedItem))
                id = new Guid(selectedItem);

            this.performanceProgressBar.IsIndeterminate = true;

            Action function = () =>
            {
                this.taskProgress.Value = Convert.ToDouble(_viewModel.Progress);
                this.performanceProgressBar.IsIndeterminate = false;
            };

            _viewModel = new TaskDetailsViewModel(id, function);
            if (id == null)
                function();

            DataContext = _viewModel;
        }

        private void appbar_cancelTask_Click(object sender, EventArgs e)
        {
            NavigationService.GoBack();
        }

        private void appbar_saveTask_Click(object sender, EventArgs e)
        {
            try
            {
                _viewModel.Progress = Convert.ToDecimal(Math.Floor(this.taskProgress.Value));

                this.performanceProgressBar.IsIndeterminate = true;
                _viewModel.Save((bool IsOk) =>
                {
                    this.performanceProgressBar.IsIndeterminate = false;
                    if (!IsOk)
                        MessageBox.Show("Error al guardar les dades");
                    else
                        MessageBox.Show("Dades guardades correctament");
                });
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}